.block__videos{
    .video-subsection{
        padding: 12.5rem 0;
        position: relative;

        .container-fluid{
            position: relative;
        }

        .video-embed{
            overflow: hidden;
        }

        .container-fluid:before{
            content: "";
            left: 3.2rem;
            position: absolute;
            width: 1px;
        }

        &:nth-of-type(1){
            .container-fluid:before{
                border-left: 1px solid $color__titles;
                opacity: .2;
                top: 2.7rem;
                bottom: -12.5rem;
            }
        }

        &:nth-of-type(2){
            background-color: $color__titles;
            color: $color__white;
            clip-path: polygon(0 8%, 100% 0, 100% 92%, 0% 100%);
            margin: -4rem 0;

            &:last-of-type{
                margin: -4rem 0 0;
                clip-path: polygon(0 8%, 100% 0, 100% 100%, 0% 100%);
                padding-bottom: 8rem;
            }

            h2{
                color: $color__white;
            }

            i{
                background-color: $color__titles;
                border-radius: 50%;
                z-index: 3;
                position: relative;
            }

            .container-fluid:before{
                border-left: 1px solid #fff;
                opacity: .2;
                top: -12.5rem;
                bottom: -12.5rem;
            }
        }

        &:nth-of-type(3){
            padding-bottom: 0;

            .container-fluid:before{
                border-left: 1px solid $color__titles;
                opacity: .2;
                top: -12.5rem;
                height: 12rem;
            }
        }

    }
}

@media screen and (max-width: 768px) {
    .block__videos .wrap{
        padding-left: 30px;
        padding-right: 30px;
    }

    .video-subsection .container-fluid:before{
        left: 2.9rem;
    }

    .video-embed{
        margin-top: 3rem;
    }
}

@media screen and (max-width: 500px) {
}
